Package it.ernytech.tdlib

## Class TdApi.ChatEventMemberRestricted

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.ChatEventAction
    - - it.ernytech.tdlib.TdApi.ChatEventMemberRestricted

Enclosing class:
  TdApi

    public static class TdApi.ChatEventMemberRestricted
    extends TdApi.ChatEventAction

A chat member was restricted/unrestricted or banned/unbanned, or the list of their restrictions has changed.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.ChatMemberStatus` `newStatus` New status of the chat member.
`TdApi.ChatMemberStatus` `oldStatus` Previous status of the chat member.
`int` `userId` Chat member user identifier.

### Constructor Summary

Constructors
`ChatEventMemberRestricted()` Default constructor.
`ChatEventMemberRestricted​(int userId, TdApi.ChatMemberStatus oldStatus, TdApi.ChatMemberStatus newStatus)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### userId

    public int userId

Chat member user identifier.

#### oldStatus

    public TdApi.ChatMemberStatus oldStatus

Previous status of the chat member.

#### newStatus

    public TdApi.ChatMemberStatus newStatus

New status of the chat member.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ChatEventMemberRestricted

    public ChatEventMemberRestricted()

Default constructor.

#### ChatEventMemberRestricted

    public ChatEventMemberRestricted​(int userId,
                                     TdApi.ChatMemberStatus oldStatus,
                                     TdApi.ChatMemberStatus newStatus)

Constructor for initialization of all fields.

Parameters:
  `userId` - Chat member user identifier.
  `oldStatus` - Previous status of the chat member.
  `newStatus` - New status of the chat member.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR